<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.apache.tomcat</groupId>
  <artifactId>tomcat-vestige</artifactId>
  <version>9.0.33.2-SNAPSHOT</version>
  <packaging>pom</packaging>
  <name>Tomcat Vestige</name>
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.jvnet.jaxb2.maven2</groupId>
          <artifactId>maven-jaxb2-plugin</artifactId>
          <version>0.14.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-dependency-plugin</artifactId>
          <version>3.0.2</version>
        </plugin>
        <plugin>
          <groupId>fr.gaellalire.vestige</groupId>
          <artifactId>vestige.plugin.verify</artifactId>
          <version>1.3.0</version>
        </plugin>
        <plugin>
          <groupId>com.coderplus.maven.plugins</groupId>
          <artifactId>copy-rename-maven-plugin</artifactId>
          <version>1.0</version>
        </plugin>
        <plugin>
          <artifactId>maven-resources-plugin</artifactId>
          <version>2.7</version>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.8.1</version>
        <configuration>
          <source>1.8</source>
          <target>1.8</target>
        </configuration>
      </plugin>
    </plugins>
  </build>
  <modules>
    <module>installer</module>
    <module>full_installer</module>
    <module>util-scan</module>
    <module>catalina</module>
    <module>util-scan-patched</module>
    <module>catalina-patched</module>
    <module>launcher</module>
    <module>descriptors</module>
  </modules>
  <properties>
    <tomcat.version>9.0.33</tomcat.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <pluginRepositories>
    <pluginRepository>
      <id>gaellalire_nexus</id>
      <url>https://gaellalire.fr/nexus/content/repositories/releases</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </pluginRepository>
  </pluginRepositories>
  <repositories>
    <repository>
      <id>gaellalire_nexus</id>
      <url>https://gaellalire.fr/nexus/content/repositories/releases</url>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>
  </repositories>
  <profiles>
    <profile>
      <id>skip-deploy</id>
      <build>
        <plugins>
          <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-deploy-plugin</artifactId>
            <executions>
              <execution>
                <id>default-deploy</id>
                <phase>none</phase>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
  </profiles>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>commons-io</groupId>
        <artifactId>commons-io</artifactId>
        <version>2.11.0</version>
      </dependency>
      <dependency>
        <groupId>fr.gaellalire.jaxb</groupId>
        <artifactId>jaxb-runtime</artifactId>
        <version>2.2.11</version>
      </dependency>
      <dependency>
        <groupId>fr.gaellalire.vestige</groupId>
        <artifactId>vestige.spi.resolver.maven</artifactId>
        <version>3.3</version>
      </dependency>
      <dependency>
        <groupId>fr.gaellalire.vestige</groupId>
        <artifactId>vestige.spi.resolver</artifactId>
        <version>3.1</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <distributionManagement>
    <repository>
      <id>gaellalire_nexus</id>
      <url>http://gaellalire.fr/nexus/content/repositories/releases/</url>
    </repository>
    <snapshotRepository>
      <id>gaellalire_nexus</id>
      <url>http://gaellalire.fr/nexus/content/repositories/snapshots/</url>
    </snapshotRepository>
  </distributionManagement>
  <scm>
    <connection>scm:git:git@gaellalire.fr:vestige_app/tomcat_vestige.git</connection>
    <developerConnection>scm:git:git@gaellalire.fr:vestige_app/tomcat_vestige.git</developerConnection>
    <tag>HEAD</tag>
  </scm>
</project>
